NETDEV_HAS_UPPER_DEV(9)

NAME
netdev_has_upper_dev - Check if device is linked to an upper device

SYNOPSIS

bool netdev_has_upper_dev(struct net_device * dev, struct net_device * upper_dev);

ARGUMENTS

dev
    device

upper_dev
    upper device to check

DESCRIPTION

Find out if a device is linked to specified upper device and return true in case it is. Note that this checks only immediate upper device, not through a complete stack of devices. The caller must hold the RTNL lock.

COPYRIGHT